Subject: [babel] John Scudder's No Record on draft-ietf-babel-yang-model-10: (with COMMENT)

From: John Scudder via Datatracker <[email-masked]>
Date: Thu, 13 May 2021 08:47:03 -0700

John Scudder has entered the following ballot position for
draft-ietf-babel-yang-model-10: No Record

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-babel-yang-model/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

At the moment, the automated check is returning errors:

[email-masked]:148: error: keyword "if-feature" not in canonical
order (see RFC 6020, Section 12) [email-masked]:157: error: keyword
"if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:175: error: keyword "if-feature" not in canonical
order (see RFC 6020, Section 12) [email-masked]:176: error: keyword
"if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:186: error: keyword "if-feature" not in canonical
order (see RFC 6020, Section 12) [email-masked]:187: error: keyword
"if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:206: error: keyword "if-feature" not in canonical
order (see RFC 6020, Section 12) [email-masked]:207: error: keyword
"if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:214: error: keyword "if-feature" not in canonical
order (see RFC 6020, Section 12) [email-masked]:215: error: keyword
"if-feature" not in canonical order (see RFC 6020, Section 12)

---

From: Martin Vigoureux <[email-masked]>
Date: Thu, 13 May 2021 18:04:07 +0200

Thank you John
that's strange.
I'm pretty sure everything was fine on 09 as I looked yesterday few 
hours before I submitted the ballot. I was waiting for v10.
But I have to admit that I didn't look again at the yang checks on v10 
before pressing the button.

Looking at the diff it seems fairly easy to address.

-m

---

From: Mahesh Jethanandani <[email-masked]>
Date: Thu, 13 May 2021 10:12:09 -0700

Hi John,

Apparently, this check has been updated recently.

$ pyang --lint --strict --canonical -p ../../../iana/yang-parameters [email-masked] 
$ pyang --version
pyang 2.0.2

Which after upgrade gave the following output:

$ pyang --version
pyang 2.4.0
$ pyang --lint --strict --canonical -p ../../../iana/yang-parameters [email-masked] 
[email-masked]:148: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:157: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:175: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:176: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:186: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:187: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:207: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:208: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:215: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:216: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)

I will address it.

Thanks.

> On May 13, 2021, at 8:47 AM, John Scudder via Datatracker <[email-masked]> wrote:
> 

Mahesh Jethanandani
[email-masked]

---

From: Mahesh Jethanandani <[email-masked]>
Date: Thu, 13 May 2021 12:44:25 -0700

Hi John/Martin,

I have fixed this here. 

https://github.com/mjethanandani/babel-data-model/pull/30/commits/6e92cfa9932f43964e6d7db6f6103b13636c90f2 <https://github.com/mjethanandani/babel-data-model/pull/30/commits/6e92cfa9932f43964e6d7db6f6103b13636c90f2>

I am expecting more comments, so I am holding on publishing v11 at this time. If you disagree, let me know and I can publish v11.

> On May 13, 2021, at 9:04 AM, Martin Vigoureux <[email-masked]> wrote:
> 
> Thank you John
> that's strange.
> I'm pretty sure everything was fine on 09 as I looked yesterday few hours before I submitted the ballot. I was waiting for v10.
> But I have to admit that I didn't look again at the yang checks on v10 before pressing the button.
> 

Mahesh Jethanandani
[email-masked]